Support for the Ruby 2.1 series ended on March 31 2017. See here for details.

In Files

  • rss/rss.rb

Methods

Class/Module Index [+]

Quicksearch

RSS::NotExpectedTagError

Raised when an unexpected tag is encountered.

Attributes

parent[R]
tag[R]
uri[R]

Public Class Methods

new(tag, uri, parent) click to toggle source
 
               # File rss/rss.rb, line 141
def initialize(tag, uri, parent)
  @tag, @uri, @parent = tag, uri, parent
  super("tag <{#{uri}}#{tag}> is not expected in tag <#{parent}>")
end